Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class OrderedMapType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.CollectionType
              org.hibernate.type.MapType
                  org.hibernate.type.OrderedMapType

All Implemented Interfaces:
  Serializable, AssociationType, Type

    public class OrderedMapType

extends MapType

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.type.CollectionType
`UNFETCHED_COLLECTION`

Constructor Summary
`OrderedMapType(String role, String propertyRef, boolean isEmbeddedInXML)`

Method Summary
`Object` | `instantiate(int anticipatedSize)` Instantiate an empty instance of the "underlying" collection (not a wrapper), but with the given anticipated size (i.e.

Methods inherited from class org.hibernate.type.MapType
`getElementsIterator, getReturnedClass, indexOf, instantiate, replaceElements, wrap`

Methods inherited from class org.hibernate.type.CollectionType
`assemble, compare, contains, deepCopy, disassemble, fromXMLNode, getAssociatedEntityName, getAssociatedJoinable, getCollection, getColumnSpan, getElementsIterator, getElementType, getForeignKeyDirection, getHashCode, getIdOfOwnerOrNull, getKeyOfOwner, getLHSPropertyName, getName, getOnCondition, getRHSUniqueKeyPropertyName, getRole, hasHolder, hydrate, initializeImmediately, instantiateResult, isAlwaysDirtyChecked, isArrayType, isAssociationType, isCollectionType, isDirty, isDirty, isEmbeddedInXML, isEqual, isModified, isMutable, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, renderLoggableString, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, useLHSPrimaryKey`

Methods inherited from class org.hibernate.type.AbstractType
`beforeAssemble, getHashCode, getSemiResolvedType, isAnyType, isComponentType, isEntityType, isEqual, isSame, replace, replaceNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`beforeAssemble, getHashCode, getSemiResolvedType, isAnyType, isComponentType, isEntityType, isEqual, isSame, replace`

Constructor Detail

### OrderedMapType

    public OrderedMapType(String role,
                          String propertyRef,
                          boolean isEmbeddedInXML)

Method Detail

### instantiate

    public Object instantiate(int anticipatedSize)

  Description copied from class: `CollectionType`
  Instantiate an empty instance of the "underlying" collection (not a wrapper), but with the given anticipated size (i.e. accounting for initial capacity and perhaps load factor).

  Overrides:
    `instantiate` in class `MapType`
  Parameters:
    `anticipatedSize` - The anticipated size of the instaniated collection after we are done populating it.
  Returns:
    A newly instantiated collection to be wrapped.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD